## azure-cosmos-python 3.1.1

=== requirements.txt ===
requests >=2.10.0
six >=1.6

=== debian/changelog ===
azure-cosmos-python (3.1.1-5) unstable; urgency=medium

  * Team upload.
  * Add fix-wrong-char-in-setup.py.patch (Closes: #1022488).

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Nov 2022 15:06:18 +0100

azure-cosmos-python (3.1.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13
  * Add patch to fix syntax warning on package install (Closes: #985021)

 -- Luca Boccassi <bluca@debian.org>  Fri, 12 Mar 2021 12:02:24 +0000

azure-cosmos-python (3.1.1-3) unstable; urgency=medium

  * Remove build-dependency on pytest, all tests require connection to
    real DB
  * Add Testsuite: autopkgtest-pkg-python to d/control
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:58:01 +0000

azure-cosmos-python (3.1.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Feb 2020 20:09:28 +0000

azure-cosmos-python (3.1.1-1) unstable; urgency=medium

  * Update to new upstream version 3.1.1
  * Rename binary package to match upstream's rename
  * Add build-dependency for selftests
  * Drop doc.patch, not needed anymore
  * Disable dh_auto_test, tests attempt to use the network

 -- Luca Boccassi <bluca@debian.org>  Mon, 20 Jan 2020 13:14:47 +0000

azure-cosmos-python (2.3.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes.

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Nov 2019 20:05:49 +0000

azure-cosmos-python (2.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #930416)

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Jun 2019 21:20:05 +0100

=== debian/control ===
Source: azure-cosmos-python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.5.1
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-cosmos-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-cosmos-python
Vcs-Git: https://salsa.debian.org/python-team/packages/azure-cosmos-python.git
Testsuite: autopkgtest-pkg-python

Package: python3-azure-cosmos
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure DocumentDB Python SDK
 This package provides the Python 3 modules for the Azure DocumentDB API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_AFTER_CLEAN=rm -rf azure_cosmos.egg-info doc/_build doc/api

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	sphinx-apidoc -f -e -o doc/api azure/cosmos
	$(MAKE) -C doc man
endif
endif

# tests will attempt network connections, skip them
override_dh_auto_test:
